> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aireserve.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create embeddings

> OpenAI-compatible embeddings.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/embeddings
openapi: 3.0.3
info:
  title: AI Reserve Gateway API
  description: >-
    The AI Reserve AI gateway REST surface — OpenAI-compatible chat completions,
    Anthropic-compatible messages, Bedrock Converse, images, video, and files
    behind one endpoint and one API key.
  version: 1.0.0
servers:
  - url: https://api.aireserve.com
security:
  - bearerAuth: []
paths:
  /v1/embeddings:
    post:
      tags:
        - Embeddings
      summary: Create embeddings
      description: OpenAI-compatible embeddings.
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your AI Reserve API key (aireserve_api_…) from Profile → My API Keys in
        the portal.

````